Subject: Re: [Detnet] Some more Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

From: Don Fedyk <[email-masked]>
Date: Wed, 5 Jan 2022 19:58:12 +0000

Hi Tom

Thanks for the comments. See Inline [Don]
I have pushed updates into https://github.com/detnet-wg/draft-ietf-detnet-yang

Cheers
Don

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: Tuesday, December 28, 2021 6:09 AM
Cc: [email-masked]; [email-masked]
Subject: Some more Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

On 23/12/2021 11:40, tom petch wrote:
Also

"IP six tuple"
perhaps 'sextuple' That said, I do not know what the six are and cannot find a reference to six in either RFC8939 or RFC8964

[Don]It is 6-tuple in RFC8939.  We can use the exact same spelling to make it easier to find.   

"   Outgoing is viewed as going up the stack from"
Looking at fig 1 I would have assumed the opposite, going down the 
stack; perhaps IETF versus IEEE.
[Don] The diagram Figure 1 is consistent with the architecture. 
Down is pointing from the application. So, OK. Yes, I the text "up the stack should" 
be "down the stack" to be consistent with the diagram and with the architecture.   

" enum copy-from-app-flow {
     description
       "This type means copy the app-flow sequence number to the "
Mmm it looks like an enum to me and not a type
[Don] Agree. 

"  enum generate-by-detnet-flow {
      description
         "This type means generate the sequence number by the "
Ditto
[Don] Agree.

"     grouping detnet-flow-spec {
        choice detnet-flow-type {
          case ip-detnet-flow {
          case mpls-detnet-flow { "
elsewhere the case are 'ip' and 'mpls'; is this different?
[Don] Yes this is a bit different. For IP, this refers to IP as a DetNet flow identifier.
It uses an IP - wild card capable grouping. This allows Aggregation with IP headers.
 
In the other cases it is IP forwarding. For a specific IP header.
It uses a specific IP address grouping. 

For MPLS it is the same - Matching an MPLS DetNet flow (a label/label stack)
You could be matching just an outer label. 
Compared to the other cases using an MPLS label/label stack. MPLS is more subtle than the IP case where prefixes are used but it parallels the IP cases.

I think the distinction was deliberate and is useful.
I will leave this as is.   

      "RFC 9016 Section 5.5, IEEE802.1Q";
I would find this clearer with the two references on two separate lines
[Don] Sure. 

"       F-label for DetNet service or service-to-forwarding "
Perhaps a reference to "RFC 8964 Section 4.2.3";
[Don] Sure.

Tom Petch

> Borrowing a useful cc: with a related topic
>
> two documents in the YANG module need adding to the I-D References
> RFC8938
> IEEE 802.1Qcx-2020
>
> contact URL
> insecure, obsolete - https://datatracker ...
>
> Editor: Mach Chen
> not in the authors of the I-D
>
> TLP out of date
>
> Reference: this ID when published
> Reference: "RFC XXXX: Deterministic Networking (DetNet) YANG Model
>
>
> Tom Petch
>
>
> On 09/11/2021 20:06, Xufeng Liu via Datatracker wrote:
>> Reviewer: Xufeng Liu
>> Review result: Ready with Nits
>>
>> Thanks to authors for addressing the previous review comments.
>>
>> The updates look good. The followings are a few additional nits:
>>
>> 1) In the model, “container flow-spec” has been changed to “container
>> traffic-spec”, but the description has not been updated, shown as below:
>>
>>           container traffic-spec {
>>             description
>>               "Flow-specification specifies how the Source transmits
>>                packets for the flow.  This is the promise/request of the
>>                Source to the network.  The network uses this flow
>>                specification to allocate resources and adjust queue
>>                parameters in network nodes.";
>>
>> 2) Most names of list and leaf-list have been fixes. The following
>> three were
>> missed: “leaf-list member-apps” should be “leaf-list member-app”
>> “leaf-list
>> member-services” should be “leaf-list member-service” “leaf-list
>> member-fwd-sublayers” should be “leaf-list member-fwd-sublayer”
>>
>> 3) Section 10.  Security Considerations would need to include a list of
>> “sensitive or vulnerable” nodes.  RFC 8349 shows an example.
>>
>> Thanks,
>> - Xufeng

---

From: Don Fedyk <[email-masked]>
Date: Wed, 5 Jan 2022 20:04:11 +0000

Hi Tom

Comments Inline [Don]
Also incorporated, https://github.com/detnet-wg/draft-ietf-detnet-yang

Thanks
Don 

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: Thursday, December 23, 2021 6:40 AM
Cc: [email-masked]; [email-masked]
Subject: Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

[Don] OK on this one 
[Don] I see. Yes
[Don] Fixed

Editor: Mach Chen
[Don] Fixed

TLP out of date
[Don] TLP?  I changed the date reference in the XML header.  It should line up with the module date. 

Reference: this ID when published
Reference: "RFC XXXX: Deterministic Networking (DetNet) YANG Model
[Don] I think the RFC editor correct this on publication. 

Tom Petch

On 09/11/2021 20:06, Xufeng Liu via Datatracker wrote:
> “leaf-list member-services” should be “leaf-list member-service” 
> “leaf-list member-fwd-sublayers” should be “leaf-list member-fwd-sublayer”
>
> 3) Section 10.  Security Considerations would need to include a list 
> of “sensitive or vulnerable” nodes.  RFC 8349 shows an example.
>
> Thanks,
> - Xufeng

---

From: tom petch <[email-masked]>
Date: Thu, 6 Jan 2022 16:37:58 +0000

> Also incorporated, https://github.com/detnet-wg/draft-ietf-detnet-yang

One follow-up in line

Tom Petch

> [Don] TLP?  I changed the date reference in the XML header.  It should line up with the module date.

Look in the YANG module and the TLP refer to Simplified BSD License [sic].

This changed in 2020 - I cannot recall an announcement thereof - and the 
new one is Revised BSD License as in 
draft-ietf-lsr-isis-yang-augmentation-v1

Tom Petch

---

From: Don Fedyk <[email-masked]>
Date: Thu, 6 Jan 2022 19:01:02 +0000

Hi Tom 

Ok got it, I needed to update pyang to version 2.5.2 -  
pyang --ietf checks the copyright boiler plate and substituting Revised for Simplified created an error in version 2.5.0. Now it is correctly processed. 

Interesting the Trust and legal Provisions (TLP) comes from an XML tag ipr="trust200902" for the document which locally for me uses the older boiler plate text with Simplified, etc., in the draft copywrite (the YANG copywrite is pure text so I corrected that). My tools for xml2rfc v3 are ~8 month old which is the environment for processing SVG. 
However, the same tag on IETF submission substitutes the newly revised text so version 15 txt and html is corrected. But, the PDF version gets the older text since I submit my rendered PDF along with the xml because the IETF does not process XML to pdf quite the same way and the only way to get the SVG diagrams in PDF was for me to submit it. 
 
Thanks
Don

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: Thursday, January 6, 2022 11:38 AM
To: Don Fedyk <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

One follow-up in line

Tom Petch

This changed in 2020 - I cannot recall an announcement thereof - and the new one is Revised BSD License as in
draft-ietf-lsr-isis-yang-augmentation-v1

Tom Petch

---

From: Don Fedyk <[email-masked]>
Date: Wed, 12 Jan 2022 14:07:44 +0000

FYI

After Tom pointed this out, I did find the new site under author tools that generates all formats correctly including SVG from the latest version 3 xml. 
https://author-tools.ietf.org/

Cheers
Don

-----Original Message-----
From: Don Fedyk <[email-masked]> 
Sent: Thursday, January 6, 2022 2:01 PM
To: tom petch <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: RE: Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

Hi Tom 

Ok got it, I needed to update pyang to version 2.5.2 - pyang --ietf checks the copyright boiler plate and substituting Revised for Simplified created an error in version 2.5.0. Now it is correctly processed. 

Thanks
Don

-----Original Message-----
From: tom petch <[email-masked]>
Sent: Thursday, January 6, 2022 11:38 AM
To: Don Fedyk <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: Comments on detnet-yang-15 Re: [Last-Call] Yangdoctors last call review of draft-ietf-detnet-yang-14

One follow-up in line

Tom Petch

Tom Petch